Subject: Re: [PATCH net 0/5] ethernet: 3c509: Bring driver back and make some fixes

From: Jakub Kicinski <[email-masked]>
Date: Thu, 21 May 2026 08:27:03 -0700

On Thu, 21 May 2026 14:17:08 +0200 Andrew Lunn wrote:
> The problem with these sorts of patches is that they often break
> stuff. This driver has been stable for a long time. Do we care about
> coding style issues enough that we are happy to possibly break it? Do
> we want to spend time on debugging it? Probably more time than it took
> to fix the checkpatch issues?

The way I look at it, Maciej is the maintainer and has access to HW.
If we have to keep this driver it's better to modernize it a bit.
If nothing else it shows the maintainer is willing to put in the effort.